### Function

# Fwupd guid_is_valid

since: 1.2.5

#### Declaration [src]

    gboolean
    fwupd_guid_is_valid (
      const gchar* guid
    )

#### Description [src]

Checks the string is a valid GUID.

Available since: 1.2.5

#### Parameters

`guid`

  Type: `const gchar*`

  String to check, e.g. `00112233-4455-6677-8899-aabbccddeeff`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `guid` was a valid GUID, `FALSE` otherwise.